Why is Blizz not addressing this issue?

Technical Support
"Below minimum specifications
Required specifications
Diablo III requires a newer operating system to run."

Oh really? What SPACE AGE game have you just created that my computer can't run? I refuse to believe this is a problem on my side. I can run Starcraft 2 on MAXIMUM settings. So, I am a little confused as to why I can't play, let alone even INSTALL. Oh, my computer doesn't 'meet the requirements'? So you're just not going to install? That's great. Bravo. Why don't you let ME see if I meet the requirements AFTER it downloads and I play it? Guarantee you it will be just fine. What other company has ever done this? Meanwhile, I will be playing a slew of other games also on Maximum settings with absolutely no frame rate issue.
They've done the same with GPUs... I tdon't let you play the game because it tells you that you're below specs. lol
What operating system do you have that they say wont work?
Umm, what OS are you running. The minimum these days is typically WinXP SP3(only). And yes, it is true, sometimes games have OS requirements. Just because SC2 worked does not equate to this game working.... I am sure what the min requirements are for D3 regarding the OS, did you look?

I remember running on Win2k and having games not work on it because it required WinXP....
in before he says windows xp
05/15/2012 12:24 PMPosted by Lokril
in before he says windows xp


Well im running XP Pro and mine is working fine. So thats not it
same problem here.......
SAME PROBLEM PLEASE ADDRESS THIS BLIZZARD. My computer's ONLY shortcoming in ALL the specs, I've checked, is 2.66 processor instead of 2.8 and I doubt that's a severe issue. Let me install the game and see for myself.
It's Vista. Service Pack 2. Did the same thing during that free beta weekend when I was so excited to try it out for a bit. Figured they would have fixed it by now, in the retail version but it's the same exact problem. Every. Single. Driver. is up to date. I made sure of it yesterday in anticipation.
05/15/2012 12:33 PMPosted by eggyolk
It's Vista. Service Pack 2. Did the same thing during that free beta weekend when I was so excited to try it out for a bit. Figured they would have fixed it by now, in the retail version but it's the same exact problem. Every. Single. Driver. is up to date. I made sure of it yesterday in anticipation.


This, been downloading updates/drivers all day for it to work and it still does nothing, tried every thing people posted. i just wont let me install the stupid game.
05/15/2012 12:33 PMPosted by Tooeasy
SAME PROBLEM PLEASE ADDRESS THIS BLIZZARD. My computer's ONLY shortcoming in ALL the specs, I've checked, is 2.66 processor instead of 2.8 and I doubt that's a severe issue. Let me install the game and see for myself.


The only issue I have is that my video card isn't supported and it wont let me even run the game. Everything else meets or exceeds the recommended settings.
FIX IT NOW.
Same issue here and I meet ALL specs!!!!
I had the same issue last night. I just kept retrying it, over and over. Eventually, it worked. Took about 10 minutes of retrying.

FWIW, I'm using Windows 7 Professional SP1 with all of the latest updates.
Fix what? It's your computer.

Just click the x for the warning message and proceed.

OP, you never gave your computer specs.
eggyolk,

We are looking into the issue internally of the warning about needing a newer operating system, different than the one about needing to update the operating system. It's not supposed to be doing it but we (Tech Support) don't have anything to report yet regarding the status.

One proposed workaround seeming to work is to manually start the Agent.exe program just before the launcher or installer.

____________________________________________________________________
Support Information Administrator
None of you are missing anything since the game launched it has been nothing but DCs and not being able to connect. Plus it has crashed battlenet for all of the games so you won't even be able to see your friends till about 3PM PST...
Well just be glad that Blizzard doesn't write flight software for airliners.
eggyolk,

We are looking into the issue internally of the warning about needing a newer operating system, different than the one about needing to update the operating system. It's not supposed to be doing it but we (Tech Support) don't have anything to report yet regarding the status.

One proposed workaround seeming to work is to manually start the Agent.exe program just before the launcher or installer.

____________________________________________________________________
Support Information Administrator


I have no idea how I got there but I actually found the agent .exe thing launched it and it worked.
Tried agent, now a decryption error has occurred; Nothing was fixed.

Join the Conversation

Return to Forum